## libntruprime 0~20241021

=== crypto_core/inv3sntrup1013/avx/Makefile ===
r3_recip.c: r3_recipgen.py
	./r3_recipgen.py 1013 > r3_recip.c
	touch -r r3_recipgen.py r3_recip.c
