=== crypto_core/inv3sntrup1277/avx/Makefile ===
r3_recip.c: r3_recipgen.py
	./r3_recipgen.py 1277 > r3_recip.c
	touch -r r3_recipgen.py r3_recip.c
