=== crypto_core/inv3sntrup953/avx/Makefile ===
r3_recip.c: r3_recipgen.py
	./r3_recipgen.py 953 > r3_recip.c
	touch -r r3_recipgen.py r3_recip.c
