=== crypto_decode/1013x2393/avx/Makefile ===
decode.c: decodegen.py
	./decodegen.py 1013 2393 2393 3588 True > decode.c
	touch -r decodegen.py decode.c
