=== crypto_decode/1013x7177/avx/Makefile ===
decode.c: decodegen.py
	./decodegen.py 1013 7177 > decode.c
	touch -r decodegen.py decode.c
