=== crypto_decode/1277x2627/avx/Makefile ===
decode.c: decodegen.py
	./decodegen.py 1277 2627 2627 3939 True > decode.c
	touch -r decodegen.py decode.c
