=== crypto_decode/1277x7879/avx/Makefile ===
decode.c: decodegen.py
	./decodegen.py 1277 7879 > decode.c
	touch -r decodegen.py decode.c
