=== crypto_decode/653x1541/avx/Makefile ===
decode.c: decodegen.py
	./decodegen.py 653 1541 1541 2310 True > decode.c
	touch -r decodegen.py decode.c
