=== crypto_decode/653x4621/avx/Makefile ===
decode.c: decodegen.py
	./decodegen.py 653 4621 > decode.c
	touch -r decodegen.py decode.c
