=== debian/changelog ===
libntruprime (0~20241021-5) unstable; urgency=medium

  * debci: Improve valgrind KEM testing, disable on riscv64 for now.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 04 Nov 2025 12:37:30 +0100

libntruprime (0~20241021-4) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/watch: rewrite to version 5
  * d/salsa-ci.yml: add SALSA_CI_AUTOPKGTEST_ALLOWED_EXIT_STATUS: '0'
  * d/control: remove Rules-Requires-Root: no

  [ Simon Josefsson ]
  * Add lrc.excludes.
  * Re-generate man-pages.
  * Tighten Salsa CI.
  * Add lintian overrides.
  * Bump debian/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 02 Nov 2025 21:27:47 +0100

libntruprime (0~20241021-3) unstable; urgency=medium

  * Standards-Version: 4.7.2.
  * Fix Vcs-* URLs.
  * Change maintainer to pkg-security.
  * Run wrap-and-sort -satbk.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 16 Aug 2025 13:07:20 +0200

libntruprime (0~20241021-2) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/t/0001-m68k-skip-checkinsns-test.patch add, fix build on m68k
  * d/control: use valgrind-if-available instead of valgrind in Recommends
  * d/t/control: replace valgrind test 'valgrind-test-kem' with
    'valgrind-test-kem-sntrup1277', the previous test tested all sntrup*
    algorithms, but failed on s390x due to debci timeout, now only sntrup1277
    is tested

 -- Simon Josefsson <simon@josefsson.org>  Fri, 25 Oct 2024 12:11:57 +0200

libntruprime (0~20241021-1) unstable; urgency=medium

  [ Jan Mojžíš ]
  * New upstream version 0~20241021
  * d/control: add Jan Mojžíš to uploaders
  * d/rules: disable hardening-stackclash on armhf
  * d/t/testntruprime-{shared,static}: add
  * d/t/control: add simple valgrind test 'valgrind-test-kem'
  * d/control: add Build-Depends: python3-capstone
  * d/p/gdwarf4.patch: remove, additional debug symbols are no longer needed

 -- Simon Josefsson <simon@josefsson.org>  Wed, 23 Oct 2024 23:04:13 +0200

libntruprime (0~20241008-2) unstable; urgency=medium

  * control: Spell out ntruprime binaries, for search.
  * d/t/control: run mceliece-fulltest only on amd64
  * Build with gdwarf-4 (suggested by upstream).

 -- Simon Josefsson <simon@josefsson.org>  Mon, 14 Oct 2024 15:08:50 +0200

libntruprime (0~20241008-1) unstable; urgency=medium

  * New upstream version 0~20241008
  * Run wrap-and-sort -satbk.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 13 Oct 2024 18:17:28 +0200

libntruprime (0~20240825-1) unstable; urgency=medium

  * Initial release. (Closes: #1079669)

 -- Simon Josefsson <simon@josefsson.org>  Mon, 26 Aug 2024 06:54:47 +0200
