=== debian/tests/control ===
Test-Command: ntruprime-speed
Features:
 test-name=ntruprime-speed,
Depends:
 ntruprime,

Test-Command: ntruprime-test
Features:
 test-name=ntruprime-test,
Depends:
 ntruprime,

Test-Command: env valgrind_multiplier=1 valgrind -q --error-exitcode=99 ntruprime-test kem
Architecture: !loong64 !riscv64
Features:
 test-name=valgrind-test-kem,
Depends:
 ntruprime,
 valgrind,

Test-Command: ntruprime-fulltest
Architecture: amd64
Features:
 test-name=ntruprime-fulltest,
Depends:
 ntruprime,
 python3,
 @recommends@,

Tests:
 testntruprime-static,
Depends:
 dpkg-dev,
 build-essential,
 libntruprime-dev,
 librandombytes-dev,

Tests:
 testntruprime-shared,
Depends:
 dpkg-dev,
 build-essential,
 libntruprime-dev,
 libntruprime1,
 librandombytes-dev,
